org.codehaus.plexus.component.factory

## Class DefaultComponentFactoryManager

- java.lang.Object
- - org.codehaus.plexus.component.factory.DefaultComponentFactoryManager

All Implemented Interfaces:
  ComponentFactoryManager, Contextualizable

    public class DefaultComponentFactoryManager
    extends java.lang.Object
    implements ComponentFactoryManager, Contextualizable

Version:
  $Id: DefaultComponentFactoryManager.java 7828 2008-11-14 22:07:56Z dain $
Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`DefaultComponentFactoryManager()`

### Method Summary

Methods
`void` `contextualize(Context context)`
`ComponentFactory` `findComponentFactory(java.lang.String id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultComponentFactoryManager

    public DefaultComponentFactoryManager()

### Method Detail

#### findComponentFactory

    public ComponentFactory findComponentFactory(java.lang.String id)
                                          throws UndefinedComponentFactoryException

Specified by:
  `findComponentFactory` in interface `ComponentFactoryManager`
Throws:
  `UndefinedComponentFactoryException`

#### contextualize

    public void contextualize(Context context)
                       throws ContextException

Specified by:
  `contextualize` in interface `Contextualizable`
Throws:
  `ContextException`